DROP PROCEDURE TMP_OP_DEPOSITSITEDETUpdProc
GO
CREATE PROCEDURE TMP_OP_DEPOSITSITEDETUpdProc
(
    @CORRNBR		   INT,	
    @SITEID                UD_IDSITE,
    @DATEPROCE		   UD_FECHA,
    @SEQUENCE		   INT,
    @DATEDEPOSIT           UD_FECHA,
    @CURYID                UD_CURYID,
    @TOTALPEN              UD_MONTO,
    @TOTALUSD              UD_MONTO 

)
AS
BEGIN
    BEGIN TRAN

    UPDATE 	TMP_OP_DEPOSITSITEDET
    SET		DATEDEPOSIT=@DATEDEPOSIT,
		CURYID=@CURYID,
		TOTALPEN=@TOTALPEN,
		TOTALUSD=@TOTALUSD

    WHERE CORRNBR=@CORRNBR AND SITEID=@SITEID AND DATEPROCE=@DATEPROCE AND SEQUENCE=@SEQUENCE

    IF (@@error!=0 AND @@ROWCOUNT=0)
    BEGIN
        RAISERROR  20000 'Error Actualizando en TMP_OP_DEPOSITSITEDET '
        ROLLBACK TRAN
        RETURN(1)
    
    END

    COMMIT TRAN

END



